## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseDatabase

All Superinterfaces:
  Database, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SybaseASADatabase

All Known Implementing Classes:
  SybaseASABaseDatabaseImpl, SybaseASACatalogDatabase, SybaseASADatabaseImpl

    public interface SybaseASABaseDatabase

extends Database, SQLObject

A representation of the model object 'Sybase ASA Base Database'.

The following features are supported:

- `Data Types`
- `Web Services`
- `Db Spaces`
- `Database File Name`
- `Log File Name`
- `Mirror File Name`
- `Case Sensitive`
- `Collation`
- `Blank Padding On`
- `Check Sum On`
- `JConnect On`
- `Page Size`
- `Encryption Info`
- `Java Support`
- `Password Case Sensitive`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

Method Summary
`java.lang.String` `getCollation()` Returns the value of the 'Collation' attribute.
`java.lang.String` `getDatabaseFileName()` Returns the value of the 'Database File Name' attribute.
`org.eclipse.emf.common.util.EList` `getDatabaseSchemas()`
`org.eclipse.emf.common.util.EList` `getDataTypes()` Returns the value of the 'Data Types' reference list.
`org.eclipse.emf.common.util.EList` `getDbSpaces()` Returns the value of the 'Db Spaces' containment reference list.
`EncryptionInfo` `getEncryptionInfo()` Returns the value of the 'Encryption Info' reference.
`JavaSupportType` `getJavaSupport()` Returns the value of the 'Java Support' attribute.
`java.lang.String` `getLogFileName()` Returns the value of the 'Log File Name' attribute.
`java.lang.String` `getMirrorFileName()` Returns the value of the 'Mirror File Name' attribute.
`int` `getPageSize()` Returns the value of the 'Page Size' attribute.
`java.lang.Boolean` `getPasswordCaseSensitive()` Returns the value of the 'Password Case Sensitive' attribute.
`org.eclipse.emf.common.util.EList` `getWebServices()` Returns the value of the 'Web Services' reference list.
`boolean` `isBaseOnASA10()`
`boolean` `isBlankPaddingOn()` Returns the value of the 'Blank Padding On' attribute.
`boolean` `isCaseSensitive()` Returns the value of the 'Case Sensitive' attribute.
`boolean` `isCheckSumOn()` Returns the value of the 'Check Sum On' attribute.
`boolean` `isJConnectOn()` Returns the value of the 'JConnect On' attribute.
`void` `setBlankPaddingOn(boolean value)` Sets the value of the '`Blank Padding On`' attribute.
`void` `setCaseSensitive(boolean value)` Sets the value of the '`Case Sensitive`' attribute.
`void` `setCheckSumOn(boolean value)` Sets the value of the '`Check Sum On`' attribute.
`void` `setCollation(java.lang.String value)` Sets the value of the '`Collation`' attribute.
`void` `setDatabaseFileName(java.lang.String value)` Sets the value of the '`Database File Name`' attribute.
`void` `setEncryptionInfo(EncryptionInfo value)` Sets the value of the '`Encryption Info`' reference.
`void` `setJavaSupport(JavaSupportType value)` Sets the value of the '`Java Support`' attribute.
`void` `setJConnectOn(boolean value)` Sets the value of the '`JConnect On`' attribute.
`void` `setLogFileName(java.lang.String value)` Sets the value of the '`Log File Name`' attribute.
`void` `setMirrorFileName(java.lang.String value)` Sets the value of the '`Mirror File Name`' attribute.
`void` `setPageSize(int value)` Sets the value of the '`Page Size`' attribute.
`void` `setPasswordCaseSensitive(java.lang.Boolean value)` Sets the value of the '`Password Case Sensitive`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Database
`getAuthorizationIds, getCatalogs, getEvents, getSchemas, getUserDefinedTypes, getVendor, getVersion, setVendor, setVersion`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDataTypes

    org.eclipse.emf.common.util.EList getDataTypes()

  Returns the value of the 'Data Types' reference list. The list contents are of type `SybaseASABasePredefinedDataType`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Data Types' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data Types' reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_DataTypes()`, `SybaseASABasePredefinedDataType.getDatabase()`

### getWebServices

    org.eclipse.emf.common.util.EList getWebServices()

  Returns the value of the 'Web Services' reference list. The list contents are of type `SybaseASAWebService`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Web Services' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Web Services' reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_WebServices()`, `SybaseASAWebService.getDatabase()`

### getDbSpaces

    org.eclipse.emf.common.util.EList getDbSpaces()

  Returns the value of the 'Db Spaces' containment reference list. The list contents are of type `SybaseASABaseDBSpace`. It is bidirectional and its opposite is '`Database`'.

  If the meaning of the 'Db Spaces' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Db Spaces' containment reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_DbSpaces()`, `SybaseASABaseDBSpace.getDatabase()`

### getDatabaseFileName

    java.lang.String getDatabaseFileName()

  Returns the value of the 'Database File Name' attribute.

  If the meaning of the 'Database File Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database File Name' attribute.
  See Also:
    `setDatabaseFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_DatabaseFileName()`

### setDatabaseFileName

    void setDatabaseFileName(java.lang.String value)

  Sets the value of the '`Database File Name`' attribute.

  Parameters:
    `value` - the new value of the 'Database File Name' attribute.
  See Also:
    `getDatabaseFileName()`

### getLogFileName

    java.lang.String getLogFileName()

  Returns the value of the 'Log File Name' attribute.

  If the meaning of the 'Log File Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Log File Name' attribute.
  See Also:
    `setLogFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_LogFileName()`

### setLogFileName

    void setLogFileName(java.lang.String value)

  Sets the value of the '`Log File Name`' attribute.

  Parameters:
    `value` - the new value of the 'Log File Name' attribute.
  See Also:
    `getLogFileName()`

### getMirrorFileName

    java.lang.String getMirrorFileName()

  Returns the value of the 'Mirror File Name' attribute.

  If the meaning of the 'Mirror File Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mirror File Name' attribute.
  See Also:
    `setMirrorFileName(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_MirrorFileName()`

### setMirrorFileName

    void setMirrorFileName(java.lang.String value)

  Sets the value of the '`Mirror File Name`' attribute.

  Parameters:
    `value` - the new value of the 'Mirror File Name' attribute.
  See Also:
    `getMirrorFileName()`

### isCaseSensitive

    boolean isCaseSensitive()

  Returns the value of the 'Case Sensitive' attribute.

  If the meaning of the 'Case Sensitive' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Case Sensitive' attribute.
  See Also:
    `setCaseSensitive(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_CaseSensitive()`

### setCaseSensitive

    void setCaseSensitive(boolean value)

  Sets the value of the '`Case Sensitive`' attribute.

  Parameters:
    `value` - the new value of the 'Case Sensitive' attribute.
  See Also:
    `isCaseSensitive()`

### getCollation

    java.lang.String getCollation()

  Returns the value of the 'Collation' attribute.

  If the meaning of the 'Collation' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collation' attribute.
  See Also:
    `setCollation(String)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_Collation()`

### setCollation

    void setCollation(java.lang.String value)

  Sets the value of the '`Collation`' attribute.

  Parameters:
    `value` - the new value of the 'Collation' attribute.
  See Also:
    `getCollation()`

### isBlankPaddingOn

    boolean isBlankPaddingOn()

  Returns the value of the 'Blank Padding On' attribute.

  If the meaning of the 'Blank Padding On' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Blank Padding On' attribute.
  See Also:
    `setBlankPaddingOn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_BlankPaddingOn()`

### setBlankPaddingOn

    void setBlankPaddingOn(boolean value)

  Sets the value of the '`Blank Padding On`' attribute.

  Parameters:
    `value` - the new value of the 'Blank Padding On' attribute.
  See Also:
    `isBlankPaddingOn()`

### isCheckSumOn

    boolean isCheckSumOn()

  Returns the value of the 'Check Sum On' attribute.

  If the meaning of the 'Check Sum On' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Check Sum On' attribute.
  See Also:
    `setCheckSumOn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_CheckSumOn()`

### setCheckSumOn

    void setCheckSumOn(boolean value)

  Sets the value of the '`Check Sum On`' attribute.

  Parameters:
    `value` - the new value of the 'Check Sum On' attribute.
  See Also:
    `isCheckSumOn()`

### isJConnectOn

    boolean isJConnectOn()

  Returns the value of the 'JConnect On' attribute. The default value is `"true"`.

  If the meaning of the 'JConnect On' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'JConnect On' attribute.
  See Also:
    `setJConnectOn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_JConnectOn()`

### setJConnectOn

    void setJConnectOn(boolean value)

  Sets the value of the '`JConnect On`' attribute.

  Parameters:
    `value` - the new value of the 'JConnect On' attribute.
  See Also:
    `isJConnectOn()`

### getPageSize

    int getPageSize()

  Returns the value of the 'Page Size' attribute. Only 2048 | 4096 | 8192 | 16384 | 32768 are valid values

  Returns:
    the value of the 'Page Size' attribute.
  See Also:
    `setPageSize(int)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_PageSize()`

### setPageSize

    void setPageSize(int value)

  Sets the value of the '`Page Size`' attribute.

  Parameters:
    `value` - the new value of the 'Page Size' attribute.
  See Also:
    `getPageSize()`

### getEncryptionInfo

    EncryptionInfo getEncryptionInfo()

  Returns the value of the 'Encryption Info' reference.

  If the meaning of the 'Encryption Info' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Encryption Info' reference.
  See Also:
    `setEncryptionInfo(EncryptionInfo)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_EncryptionInfo()`

### setEncryptionInfo

    void setEncryptionInfo(EncryptionInfo value)

  Sets the value of the '`Encryption Info`' reference.

  Parameters:
    `value` - the new value of the 'Encryption Info' reference.
  See Also:
    `getEncryptionInfo()`

### getJavaSupport

    JavaSupportType getJavaSupport()

  Returns the value of the 'Java Support' attribute. The literals are from the enumeration `JavaSupportType`.

  If the meaning of the 'Java Support' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Java Support' attribute.
  See Also:
    `JavaSupportType`, `setJavaSupport(JavaSupportType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_JavaSupport()`

### setJavaSupport

    void setJavaSupport(JavaSupportType value)

  Sets the value of the '`Java Support`' attribute.

  Parameters:
    `value` - the new value of the 'Java Support' attribute.
  See Also:
    `JavaSupportType`, `getJavaSupport()`

### getPasswordCaseSensitive

    java.lang.Boolean getPasswordCaseSensitive()

  Returns the value of the 'Password Case Sensitive' attribute. if passwordCaseSensitive attribute is null, it follow the caseSensitive

  Returns:
    the value of the 'Password Case Sensitive' attribute.
  See Also:
    `setPasswordCaseSensitive(Boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase_PasswordCaseSensitive()`

### setPasswordCaseSensitive

    void setPasswordCaseSensitive(java.lang.Boolean value)

  Sets the value of the '`Password Case Sensitive`' attribute.

  Parameters:
    `value` - the new value of the 'Password Case Sensitive' attribute.
  See Also:
    `getPasswordCaseSensitive()`

### isBaseOnASA10

    boolean isBaseOnASA10()

### getDatabaseSchemas

    org.eclipse.emf.common.util.EList getDatabaseSchemas()